Bug 1133394 - [abrt] cheese: g_type_check_instance_is_fundamentally_a(): cheese killed by SIGSEGV
Summary: [abrt] cheese: g_type_check_instance_is_fundamentally_a(): cheese killed by S...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cheese
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:111feb3d2264e2fff928c20e400...
Depends On:
Blocks: F21AlphaFreezeException F21FinalBlocker 1121294
TreeView+ depends on / blocked
 
Reported: 2014-08-25 05:46 UTC by Carlos Morel-Riquelme
Modified: 2014-09-11 02:44 UTC (History)
10 users (show)

Fixed In Version: cheese-3.13.90.1-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 02:44:31 UTC


Attachments (Terms of Use)
File: cgroup (190 bytes, text/plain)
2014-08-25 05:46 UTC, Carlos Morel-Riquelme
no flags Details
File: core_backtrace (34.98 KB, text/plain)
2014-08-25 05:46 UTC, Carlos Morel-Riquelme
no flags Details
File: dso_list (29.79 KB, text/plain)
2014-08-25 05:46 UTC, Carlos Morel-Riquelme
no flags Details
File: environ (940 bytes, text/plain)
2014-08-25 05:46 UTC, Carlos Morel-Riquelme
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-25 05:46 UTC, Carlos Morel-Riquelme
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-25 05:46 UTC, Carlos Morel-Riquelme
no flags Details
File: maps (144.05 KB, text/plain)
2014-08-25 05:47 UTC, Carlos Morel-Riquelme
no flags Details
File: open_fds (1.61 KB, text/plain)
2014-08-25 05:47 UTC, Carlos Morel-Riquelme
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2014-08-25 05:47 UTC, Carlos Morel-Riquelme
no flags Details
File: var_log_messages (553 bytes, text/plain)
2014-08-25 05:47 UTC, Carlos Morel-Riquelme
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 735285 None None None Never

Description Carlos Morel-Riquelme 2014-08-25 05:46:48 UTC
Description of problem:
Cheese crash before take a picture o record a video, this always happend in the count of the shot
im using fedora 21 update to date.

regards

Version-Release number of selected component:
cheese-3.13.90.1-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/cheese --gapplication-service
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/cheese
kernel:         3.16.1-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Carlos Morel-Riquelme 2014-08-25 05:46:51 UTC
Created attachment 930319 [details]
File: cgroup

Comment 2 Carlos Morel-Riquelme 2014-08-25 05:46:53 UTC
Created attachment 930320 [details]
File: core_backtrace

Comment 3 Carlos Morel-Riquelme 2014-08-25 05:46:55 UTC
Created attachment 930321 [details]
File: dso_list

Comment 4 Carlos Morel-Riquelme 2014-08-25 05:46:56 UTC
Created attachment 930322 [details]
File: environ

Comment 5 Carlos Morel-Riquelme 2014-08-25 05:46:57 UTC
Created attachment 930323 [details]
File: exploitable

Comment 6 Carlos Morel-Riquelme 2014-08-25 05:46:58 UTC
Created attachment 930324 [details]
File: limits

Comment 7 Carlos Morel-Riquelme 2014-08-25 05:47:01 UTC
Created attachment 930325 [details]
File: maps

Comment 8 Carlos Morel-Riquelme 2014-08-25 05:47:02 UTC
Created attachment 930326 [details]
File: open_fds

Comment 9 Carlos Morel-Riquelme 2014-08-25 05:47:03 UTC
Created attachment 930327 [details]
File: proc_pid_status

Comment 10 Carlos Morel-Riquelme 2014-08-25 05:47:04 UTC
Created attachment 930328 [details]
File: var_log_messages

Comment 11 Jeremy Rimpo 2014-08-28 15:07:39 UTC
This is probably related to https://bugzilla.redhat.com/show_bug.cgi?id=1121294 - a very similar issue.

Comment 12 Ankur Sinha (FranciscoD) 2014-09-09 04:02:42 UTC
Reported upstream.

Comment 13 Elad Alfassa 2014-09-09 13:12:12 UTC
Proposing as Fedora 21 Final Blocker per criteria "Default Application Functionality" - 

"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test. "

https://fedoraproject.org/wiki/Fedora_21_Final_Release_Criteria#Default_application_functionality

Comment 14 Kalev Lember 2014-09-09 16:30:54 UTC
Proposing as a F21 Alpha freeze exception, based on the criteria outlined in comment #13.

Comment 15 Fedora Update System 2014-09-09 18:42:27 UTC
cheese-3.13.90.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cheese-3.13.90.1-2.fc21

Comment 16 Carlos Morel-Riquelme 2014-09-09 22:10:44 UTC
Update: Cheese now work fine c: , but the pictures taken are dark, in the preferences the fire flash is enable, the camera work fine before take the picture, but cheese take the picture and later the picture is taken dark.
In the video record all work fine c:

the outputs is here

[n0oir@localhost ~]$ rpm -qa |grep -i cheese
cheese-3.13.90.1-2.fc21.x86_64
cheese-libs-3.13.90.1-2.fc21.x86_64
[n0oir@localhost ~]$ 

part of the output dmesg (for camera)

[n0oir@localhost ~]$ dmesg
[   10.842292] uvcvideo: Found UVC 1.00 device WebCam (04f2:b209)
[   10.847457] input: WebCam as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1/1-1.1:1.0/input/input17
[   10.849906] usbcore: registered new interface driver uvcvideo
[   10.851967] USB Video Class driver (1.1.1)

[n0oir@localhost ~]$

Comment 17 Jeremy Rimpo 2014-09-09 22:55:56 UTC
Not sure how to report this...

I'm no longer getting the ABRT error, however I can't say things were totally normal.

At first I tried to take a photo and after the countdown and flash, it simply locked up with 'There was a problem getting video from the camera.' (or something similar). Then I tried video, which worked great.

Then I went to the also-malfunctioning gnome-control-center User panel and tried to take a photo there for the profile image, which failed with the same g_type_check error.

Then I browsed to the ~/Photos/Webcam folder, and finally I decided to relauch cheese and take another photo. And then it worked.

I went back to gnome-control-center to try again, but got the no video feed icon. I realised I had cheese open, so I closed it and re-tried. Then I tried to take the profile photo, and it seemed like it might work - but then it came back with the no video icon and I couldn't get video anywhere.

After a while, I was able to use cheese again - with no more problems. But control center never works.

Comment 18 Fedora Update System 2014-09-10 02:14:15 UTC
Package cheese-3.13.90.1-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cheese-3.13.90.1-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10527/cheese-3.13.90.1-2.fc21
then log in and leave karma (feedback).

Comment 19 Jeremy Rimpo 2014-09-10 16:24:44 UTC
Checked the trace, and the control center issue now appears to be a different function. So this patch does look like it fixes at least one issue there. I've opened a new ticket for the new error in control-center.

Comment 20 Adam Williamson 2014-09-10 17:00:34 UTC
Discussed at 2014-09-10 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2014-09-10/f21-blocker-review.2014-09-10-16.07.log.txt . Accepted as a freeze exception - Cheese is a high-profile component and commonly used/tested on live images, so it'd be good to fix this for those.

Comment 21 Fedora Update System 2014-09-11 02:44:31 UTC
cheese-3.13.90.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.